Announcing Ruby GA support

by Matt Schwager on December 17, 2020

Semgrep v0.35.0 has promoted Ruby support from beta to generally available (GA)!

Install or upgrade Semgrep and try out our latest Ruby rulesets:

Or, contribute your own at semgrep-rules/ruby.

Our Ruby journey began way back in July. With the help of the community we’ve since ironed out numerous bugs, written many Semgrep rules, learned all about the dusty, rarely used corners of the language, and slowly but surely watched support mature. To learn more about language support tiers like beta and GA visit our supported languages docs.